using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OpenAuth.App.ServiceApp.DroneCaseInfo.Request
{
    public class Zhuanti
    {
        public Zhuanti() { }

        public Zhuanti(string name) {
            
            Dictionary<string, object> v1 = new Dictionary<string, object>();
            v1.Add("name", weifayongdi);
            v1.Add("zname", "违法用地");
            Dictionary<string, object> v2 = new Dictionary<string, object>();
            v2.Add("name", feifacaikuang);
            v2.Add("zname", "非法采矿");
            Dictionary<string, object> v3 = new Dictionary<string, object>();
            v3.Add("name", zhongdianwenti1);
            v3.Add("zname", "重点问题Ⅰ类");
            Dictionary<string, object> v4 = new Dictionary<string, object>();
            v4.Add("name", zhongdianwenti2);
            v4.Add("zname", "重点问题Ⅱ类");
            Dictionary<string, object> v5 = new Dictionary<string, object>();
            v5.Add("name", gdflh);
            v5.Add("zname", "耕地非粮化");
            Dictionary<string, object> v6 = new Dictionary<string, object>();
            v6.Add("name", wfydwp);
            v6.Add("zname", "非法采矿卫片下发");
            Dictionary<string, object> v7 = new Dictionary<string, object>();
            v7.Add("name", sthx);
            v7.Add("zname", "生态保护红线监管");
            Dictionary<string, object> v8 = new Dictionary<string, object>();
            v8.Add("name", stxf); 
            v8.Add("zname", "生态修复");
            Dictionary<string, object> v9 = new Dictionary<string, object>();
            v9.Add("name", xcsj);
            v9.Add("zname", "巡察审计");
            Names.Add(v1);
            Names.Add(v2);
            Names.Add(v3);
            Names.Add(v4);
            Names.Add(v5);
            Names.Add(v6);
            Names.Add(v7);
            Names.Add(v8);
            Names.Add(v9);
            if (name.Equals("违法用地")) { 
                Names.Remove(v1);
                daicha = weifayongdi;
            }
            if (name.Equals("非法采矿"))
            {
                Names.Remove(v2);
                daicha = feifacaikuang;
            }
            if (name.Equals("非法采矿卫片下发"))
            {
                Names.Remove(v6);
                daicha = wfydwp;
            }
            if (name.Equals("耕地非粮化"))
            {
                Names.Remove(v5);
                daicha = gdflh;
            }
            if (name.Equals("重点问题Ⅰ类"))
            {
                Names.Remove(v3);
                daicha = zhongdianwenti1;
            }
            if (name.Equals("重点问题Ⅱ类"))
            {
                Names.Remove(v4);
                daicha = zhongdianwenti2;
            }
            if (name.Equals("巡察审计"))
            {
                Names.Remove(v9);
                daicha = xcsj;
            }
            if (name.Equals("生态保护红线监管"))
            {
                Names.Remove(v7);
                daicha = sthx;
            }
            if (name.Equals("生态修复"))
            {
                Names.Remove(v8);
                daicha = stxf;
            }
        }
        public List<Dictionary<string,object>> Names  = new List<Dictionary<string, object>> { };
        public  string daicha { get; set; }
        public  string weifayongdi = "drone_caseinfo_single";
        public  string feifacaikuang = "drone_caseinfo_minerals";
        public  string zhongdianwenti1 = "drone_caseinfo_zdwt1";
        public  string zhongdianwenti2 = "drone_caseinfo_zdwt2";
        public  string gdflh = "drone_caseinfo_gdflh";
        public  string wfydwp = "drone_caseinfo_wpxf";
        public  string xcsj = "drone_caseinfo_xcsj";
        public  string sthx = "drone_caseinfo_sthx";
        public  string stxf = "drone_caseinfo_stxf";
    }
}
